Skip to main content
`Ctrl`+`K`

# TSTrajectoryGetNumSteps

Return the number of steps registered in the `TSTrajectory` via `TSTrajectorySet()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGetNumSteps(TSTrajectory tj, PetscInt *steps)

Not Collective.

## Input Parameter

- tj - the trajectory object

## Output Parameter

- steps - the number of steps

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSTrajectorySet()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages